CVE-2004-0239
CVSS10.0
发布时间 :2004-11-23 00:00:00
修订时间 :2016-10-17 22:42:14
NMCOE    

[原文]SQL injection vulnerability in showphoto.php in PhotoPost PHP Pro 4.6 and earlier allows remote attackers to gain unauthorized access via the photo variable.


[CNNVD]所有Enthusiast Photopost PHP ProSQL注入漏洞(CNNVD-200411-154)

        PhotoPost PHP Pro 4.6及其更早的版本存在SQL注入漏洞。远程攻击者可以借助photo变量获取未授权访问权限。

- CVSS (基础分值)

CVSS分值: 10 [严重(HIGH)]
机密性影响: [--]
完整性影响: [--]
可用性影响: [--]
攻击复杂度: [--]
攻击向量: [--]
身份认证: [--]

- CPE (受影响的平台与产品)

cpe:/a:photopost:photopost_php_pro:3.3
cpe:/a:photopost:photopost_php_pro:4.6
cpe:/a:photopost:photopost_php_pro:3.1
cpe:/a:photopost:photopost_php_pro:4.0
cpe:/a:photopost:photopost_php_pro:3.2
cpe:/a:photopost:photopost_php_pro:4.1

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-0239
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2004-0239
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200411-154
(官方数据源) CNNVD

- 其它链接及资源

http://marc.info/?l=bugtraq&m=107582512023998&w=2
(UNKNOWN)  BUGTRAQ  20040202 ZH2004-03SA (security advisory): Photopost PHP Pro 4.6 Sql
http://www.securiteam.com/securitynews/5KP010UC0W.html
(UNKNOWN)  MISC  http://www.securiteam.com/securitynews/5KP010UC0W.html
http://www.securityfocus.com/bid/9557
(VENDOR_ADVISORY)  BID  9557
http://xforce.iss.net/xforce/xfdb/15008
(VENDOR_ADVISORY)  XF  photopostphp-sql-injection(15008)

- 漏洞信息

所有Enthusiast Photopost PHP ProSQL注入漏洞
危急 SQL注入
2004-11-23 00:00:00 2006-09-27 00:00:00
远程  
        PhotoPost PHP Pro 4.6及其更早的版本存在SQL注入漏洞。远程攻击者可以借助photo变量获取未授权访问权限。

- 公告与补丁

        The vendor has released a patch to address this issue. Users are advised to contact the vendor in order to obtain the patch.

- 漏洞信息 (14453)

PhotoPost PHP 4.6.5 (ecard.php) SQL Injection Vulnerability (EDBID:14453)
php webapps
2010-07-23 Verified
0 CoBRa_21
N/A [点击下载]
########################################################################################

PhotoPost PHP 4.6.5 (ecard.php?ecard) SQL Injection Vulnerability

########################################################################################

Author : CoBRa_21

Author Web Page : http://www.ipbul.org

Dork: "Powered by: PhotoPost PHP 4.6.5"

########################################################################################
 
Sql Injection:

http://localhost/[path]/ecard.php?ecard=418337 (Sql)

http://localhost/[path]/showphoto.php?photo=418337 (Sql)

########################################################################################
Thanks : http://www.e-banka.org 		 	   		  
		

- 漏洞信息

15100
PhotoPost PHP Pro showphoto.php photo Parameter SQL Injection
Remote / Network Access Information Disclosure, Input Manipulation
Loss of Confidentiality, Loss of Integrity
Exploit Public

- 漏洞描述

PhotoPost PHP Pro contains a flaw that will allow an attacker to inject arbitrary SQL code. The problem is that the 'photo' variable in the showphoto.php script is not verified properly and will allow an attacker to inject or manipulate SQL queries.

- 时间线

2005-03-28 Unknow
2005-03-28 Unknow

- 解决方案

Currently, there are no known upgrades, patches, or workarounds available to correct this issue.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站